// @buildsys IMPORTED: DO NOT EDIT! 
{
	"format_version": "1.10.0",
	"animations": {
		"animation.mnp_ci.blob_fish.flop": {
			"loop": true,
			"bones": {
				"body": {
					"rotation": [0, 0, "v.zrot*0.1"],
					"scale": [1.05, "0.9+math.cos(q.anim_time*800-140)*0.1", 1.05]
				},
				"rightFin": {
					"rotation": [0, 0, "-12.5+math.sin(q.anim_time*1350-140)*-20"]
				},
				"body_back": {
					"rotation": ["math.sin(q.anim_time*800-140)*-20", 0, 0]
				},
				"tailFin": {
					"rotation": [0, 0, "12.5+math.sin(q.anim_time*800+150)*20"]
				},
				"leftFin": {
					"rotation": [0, 0, "12.5+math.sin(q.anim_time*1350)*20"]
				},
				"nose": {
					"rotation": ["math.sin(q.anim_time*800)*-20", 0, 0]
				}
			}
		},
		"animation.mnp_ci.blob_fish.swim": {
			"loop": true,
			"anim_time_update": "q.anim_time+q.delta_time*v.smooth_speed",
			"bones": {
				"body": {
					"rotation": ["math.atan(0.2*math.sin(q.anim_time*180))/math.atan(0.2)*10", 0, "math.cos(q.anim_time*90)*10"],
					"position": [0, "math.sin(q.anim_time*180-60)", 0],
					"scale": [1, "1.1+math.sin(q.anim_time*180-140)*0.1", 1]
				},
				"rightFin": {
					"rotation": [0, 0, "math.sin(q.anim_time*180)*-50"]
				},
				"body_back": {
					"rotation": ["math.sin(q.anim_time*180)*20", 0, 0]
				},
				"tailFin": {
					"rotation": ["math.sin(q.anim_time*180-40)*20", 0, 0]
				},
				"leftFin": {
					"rotation": [0, 0, "math.sin(q.anim_time*180)*50"]
				},
				"nose": {
					"rotation": ["math.cos(q.anim_time*180)*6", 0, 0]
				}
			}
		}
	}
}